package com.xplora.xpsettings.Activity;

import android.annotation.SuppressLint;
import android.os.Bundle;
import android.text.Spannable;
import android.text.SpannableStringBuilder;
import android.widget.TextView;

import com.xplora.xpsettings.R;
import com.xplora.xpsettings.Utils.ResUtils;

public class SourceAnnouncementActivity extends BaseActivity{
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_sourceannouncement);

        String[] array = ResUtils.getStringArray("about_title_array_", 13);
        setWatchTitle(array[11]);

        initView();
    }

    @SuppressLint("SetTextI18n")
    private void initView() {
        TextView textView = findViewById(R.id.mText);

        String text1 = getString(R.string.source_announcement_1);
        String text2 = getString(R.string.source_announcement_2);


        Spannable textSpan = new SpannableStringBuilder(text1);
        textView.setText(textSpan);

        textView.setText(text1 + "\n" + "\n" + text2);
    }
}
